import { Injectable, Logger } from '@nestjs/common';

@Injectable()
export class SmsService {
  private readonly logger = new Logger(SmsService.name);

  async send(
    to: string,
    templateId: string,
    params: Record<string, any> = {},
  ): Promise<void> {
    this.logger.log(
      `Mock send sms to ${to} templateId=${templateId} params=${JSON.stringify(params)}`,
    );
  }
}
